## fsarchiver 0.8.4

=== website/Makefile ===
serve:
	hugo server

clean:
	rm -rf public

build: clean
	hugo -v

## fsarchiver 0.6.1-1drbl

=== debian/changelog ===
fsarchiver (0.6.1-1drbl) unstable; urgency=low

  * New upstream.
  * Compiled on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 20 Nov 2009 14:41:00 +0800

fsarchiver (0.6.0) unstable; urgency=low

  * Initial Release.

 -- Francois Dupoux <fdupoux@free.fr>  Sat, 12 Sep 2009 18:52:46 +0100

=== debian/control ===
Source: fsarchiver
Section: admin
Priority: optional
Maintainer: Francois Dupoux <fdupoux@free.fr>
Build-Depends:	e2fsprogs (>= 1.41.0),
		e2fslibs (>= 1.41.0),
		e2fslibs-dev,
		libblkid-dev,
		liblzo2-dev,
		libbz2-dev,
		zlib1g-dev,
		libgcrypt11-dev,
		libattr1-dev,
		uuid-dev
Standards-Version: 3.7.3
Homepage: http://www.fsarchiver.org

Package: fsarchiver
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: xfsprogs, reiserfsprogs, reiser4progs, jfsutils, ntfsprogs, btrfsprogs, ntfs-3g
Description: flexible filesystem archiver for linux
 fsarchiver is a system tool that allows you to save the contents of a file-system to a compressed 
 archive file. The file-system can be restored on a partition which has a different size and it 
 can be restored on a different file-system. Unlike tar/dar, FSArchiver also creates the 
 file-system when it extracts the data to partitions. Everything is checksummed in the archive 
 in order to protect the data. If the archive is corrupt, you just loose the current file, 
 not the whole archive.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -O3

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-lzma

build: build-stamp

build-stamp:  config.status 
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/fsarchiver install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fsarchiver 0.6.2-2drbl

=== debian/changelog ===
fsarchiver (0.6.2-2drbl) unstable; urgency=low

  * Lzma is enabled in this release.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Dec 2009 09:26:00 +0800

fsarchiver (0.6.2-1drbl) unstable; urgency=low

  * New upstream.
  * Compiled on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Dec 2009 09:21:00 +0800

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
 		zlib1g-dev,
 		libgcrypt11-dev,
 		libattr1-dev,
-		uuid-dev
+		uuid-dev,
 Standards-Version: 3.7.3
 Homepage: http://www.fsarchiver.org
 
 Package: fsarchiver
 Architecture: any
 Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
-Suggests: xfsprogs, reiserfsprogs, reiser4progs, jfsutils, ntfsprogs, btrfsprogs, ntfs-3g
+Suggests: xfsprogs, reiserfsprogs, reiser4progs, jfsutils, ntfsprogs, btrfsprogs, ntfs-3g, liblzo2-dev, liblzma-dev
 Description: flexible filesystem archiver for linux
  fsarchiver is a system tool that allows you to save the contents of a file-system to a compressed 
  archive file. The file-system can be restored on a partition which has a different size and it

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 config.status: configure
 	dh_testdir
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-lzma
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 build: build-stamp

## fsarchiver 0.6.10

=== debian/changelog ===
fsarchiver (0.6.10-1build1) maverick; urgency=low

  * No change rebuild for liblzma transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Aug 2010 23:10:18 -0400

fsarchiver (0.6.10-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Michael Biebl <biebl@debian.org>  Wed, 12 May 2010 02:01:05 +0200

fsarchiver (0.6.9-1) unstable; urgency=low

  * New upstream bugfix release.
  * Switch to source format 3.0 (quilt).

 -- Michael Biebl <biebl@debian.org>  Tue, 04 May 2010 23:10:27 +0200

fsarchiver (0.6.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Feb 2010 14:39:33 +0100

fsarchiver (0.6.7-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - The files src/md5.* have been removed as libgcrypt is used now to
      generate the MD5 checksums. Update the copyright file accordingly.
  * debian/control
    - Bump Standards-Version to 3.8.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Jan 2010 23:33:29 +0100

fsarchiver (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Jan 2010 22:14:53 +0100

fsarchiver (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2010 10:07:56 +0100

fsarchiver (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add build dependency on pkg-config.
  * debian/copyright
    - Update copyright years.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jan 2010 20:05:55 +0100

fsarchiver (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Add missing copyright information. (Closes: #561874)

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Dec 2009 21:57:12 +0100

fsarchiver (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Dec 2009 00:11:52 +0100

fsarchiver (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #542042)

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Dec 2009 15:18:30 +0100

=== debian/control ===
Source: fsarchiver
Section: admin
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 zlib1g-dev,
 libbz2-dev,
 liblzma-dev,
 liblzo2-dev,
 libgcrypt11-dev,
 e2fslibs-dev,
 uuid-dev,
 libblkid-dev,
 libattr1-dev,
 pkg-config
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/fsarchiver.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fsarchiver.git;a=summary
Homepage: http://www.fsarchiver.org/

Package: fsarchiver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xfsprogs, reiserfsprogs, reiser4progs, jfsutils, ntfsprogs, ntfs-3g, btrfs-tools
Description: file system archiver
 FSArchiver is a system tool that allows you to save the contents of a
 file system to a compressed archive file. The file system can be restored
 on a partition which has a different size and it can be restored on a
 different file system.
 Unlike tar/dar, FSArchiver also creates the file system when it extracts
 the data to partitions.
 Everything is checksummed in the archive in order to protect the data. If
 the archive is corrupt, you just lose the current file, not the whole archive.
 .
 It's still under heavy development so it should not be used for critical data.

## fsarchiver 0.6.12

=== debian/changelog ===
fsarchiver (0.6.12-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Dec 2010 21:31:09 +0100

fsarchiver (0.6.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Dec 2010 00:03:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libblkid-dev,
  libattr1-dev,
  pkg-config
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/fsarchiver.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fsarchiver.git;a=summary
 Homepage: http://www.fsarchiver.org/

## fsarchiver 0.6.13

=== debian/changelog ===
fsarchiver (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * Rewrite debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.
  * Bump debhelper compat level to 9 which will enable hardening build flags.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 17:25:50 +0100

## fsarchiver 0.6.15

=== debian/changelog ===
fsarchiver (0.6.15-1) unstable; urgency=low

  * New upstream release.
  * Update Copyright year.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jun 2012 20:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
  zlib1g-dev,
  libbz2-dev,
  liblzma-dev,
@@ -13,7 +13,7 @@
  libblkid-dev,
  libattr1-dev,
  pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/fsarchiver.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fsarchiver.git;a=summary
 Homepage: http://www.fsarchiver.org/

## fsarchiver 0.6.16

=== debian/changelog ===
fsarchiver (0.6.16-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes required.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Feb 2013 09:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libblkid-dev,
  libattr1-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/fsarchiver.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fsarchiver.git;a=summary
 Homepage: http://www.fsarchiver.org/

## fsarchiver 0.6.17

=== debian/changelog ===
fsarchiver (0.6.17-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2013 23:28:02 +0100

## fsarchiver 0.6.19

=== debian/watch ===
version=3

http://sf.net/fsarchiver/fsarchiver-([\d\.]*)\.tar\.gz

## fsarchiver 0.6.22

=== debian/changelog ===
fsarchiver (0.6.22-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Feb 2016 15:57:55 +0100

fsarchiver (0.6.21-1) unstable; urgency=medium

  * New upstream release.
    - Fixes "Restore fails because can't umount destination".
      (Closes: #756490)
    - Fixes "FTBFS on arm64: error: conflicting types for '__le64'".
      (Closes: #791542)
  * The upstream Git repository and the release tarballs are now hosted on
    GitHub. Update debian/watch accordingly.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Copyright years in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Jan 2016 10:57:37 +0100

fsarchiver (0.6.19-2) unstable; urgency=medium

  * Mark fsarchiver binary package as linux-any.
  * Switch from libgcrypt11-dev to libgcrypt20-dev.

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Sep 2014 23:27:36 +0200

fsarchiver (0.6.19-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Mar 2014 00:07:12 +0100

fsarchiver (0.6.18-1) unstable; urgency=medium

  * New upstream release.
  * Wrap dependencies.
  * Use autotools_dev dh addon to update config.{sub,guess}. (Closes: #727862)
  * Bump Standards-Version to 3.9.5. No further changes.
  * Remove warning from package description, fsarchiver should be reasonably
    safe to use nowadays.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Feb 2014 05:01:18 +0100

=== debian/control ===
Source: fsarchiver
Section: admin
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev,
               liblzo2-dev,
               libgcrypt20-dev,
               e2fslibs-dev,
               uuid-dev,
               libblkid-dev,
               libattr1-dev,
               pkg-config
Standards-Version: 3.9.6
Vcs-Git: git://git.debian.org/git/collab-maint/fsarchiver.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fsarchiver.git;a=summary
Homepage: http://www.fsarchiver.org/

Package: fsarchiver
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: xfsprogs,
          reiserfsprogs,
          reiser4progs,
          jfsutils,
          ntfsprogs,
          ntfs-3g,
          btrfs-tools
Description: file system archiver
 FSArchiver is a system tool that allows you to save the contents of a
 file system to a compressed archive file. The file system can be restored
 on a partition which has a different size and it can be restored on a
 different file system.
 Unlike tar/dar, FSArchiver also creates the file system when it extracts
 the data to partitions.
 Everything is checksummed in the archive in order to protect the data. If
 the archive is corrupt, you just lose the current file, not the whole archive.

=== debian/watch ===
version=3
https://github.com/fdupoux/fsarchiver/releases/ .*/fsarchiver-([\d\.]+)\.tar\.gz

## fsarchiver 0.8.0

=== debian/changelog ===
fsarchiver (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 09 Aug 2016 23:35:13 +0200

fsarchiver (0.6.23-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8. No further changes.
  * Use canonical URLs for Vcs-* fields, switch to https and cgit.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2016 05:42:55 +0200

## fsarchiver 0.8.1

=== debian/changelog ===
fsarchiver (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Jan 2017 23:11:17 +0100

## fsarchiver 0.8.4

=== debian/changelog ===
fsarchiver (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Add Build-Depends on libzstd-dev to enable support for zstd compression
  * Add Recommends on e2fsprogs.
    There are efforts to make e2fsprogs non-essential. By making e2fsprogs a
    Recommends instead of only a Suggests, it should automatically be
    installed on upgrades. (Closes: #887249)

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Feb 2018 12:53:29 +0100

fsarchiver (0.8.3-3) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump Standards-Version to 4.1.3

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 19:06:16 +0100

fsarchiver (0.8.3-2) unstable; urgency=medium

  * Add Build-Depends on liblz4-dev.
    This ensures that support for LZ4 compression is properly enabled.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Dec 2017 21:38:35 +0100

fsarchiver (0.8.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Change Suggests: btrfs-tools to btrfs-progs (Closes: #878918)

  [ Michael Biebl ]
  * New upstream version 0.8.3
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat level to 11

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Dec 2017 19:49:30 +0100

fsarchiver (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Bump Standards-Version to 4.1.0

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Aug 2017 22:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,34 +2,37 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
+Build-Depends: debhelper (>= 11),
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev,
                liblzo2-dev,
+               liblz4-dev,
+               libzstd-dev,
                libgcrypt20-dev,
                e2fslibs-dev,
                uuid-dev,
                libblkid-dev,
                libattr1-dev,
                pkg-config
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/collab-maint/fsarchiver.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fsarchiver.git;a=summary
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/fsarchiver.git
+Vcs-Browser: https://salsa.debian.org/debian/fsarchiver
 Homepage: http://www.fsarchiver.org/
 
 Package: fsarchiver
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: e2fsprogs
 Suggests: xfsprogs,
           reiserfsprogs,
           reiser4progs,
           jfsutils,
           ntfsprogs,
           ntfs-3g,
-          btrfs-tools
+          btrfs-progs
 Description: file system archiver
  FSArchiver is a system tool that allows you to save the contents of a
  file system to a compressed archive file. The file system can be restored

## fsarchiver 0.8.5

=== debian/changelog ===
fsarchiver (0.8.5-2) unstable; urgency=medium

  * autopkgtest: Run xfs and ext4 test in the same testbed
  * autopkgtest: Add isolation-machine restriction to ext4 and xfs test.
    They require a loopback device which is not available in e.g. a LXC
    container.
  * autopkgtest: Add new backup-and-restore-directory.sh test.
    This tests the backup and restore of a directory (savedir/restdir) and
    checks if hard links, soft links, file system ACLs and extended
    attributes are correctly restored.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Jul 2018 02:47:01 +0200

fsarchiver (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Bump Standards-Version to 4.1.5
  * Add autopkgtest which tests backup and restore of an ext4 and xfs file
    system

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Jul 2018 12:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libblkid-dev,
                libattr1-dev,
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fsarchiver.git
 Vcs-Browser: https://salsa.debian.org/debian/fsarchiver

## fsarchiver 0.8.6

=== debian/changelog ===
fsarchiver (0.8.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Michael Biebl ]
  * New upstream version 0.8.6
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper-compat and bump compat level to 13
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Use https for upstream homepage

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Feb 2021 19:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev,
@@ -15,11 +15,11 @@
                libblkid-dev,
                libattr1-dev,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fsarchiver.git
 Vcs-Browser: https://salsa.debian.org/debian/fsarchiver
-Homepage: http://www.fsarchiver.org/
+Homepage: https://www.fsarchiver.org/
 
 Package: fsarchiver
 Architecture: linux-any

=== debian/tests/control ===
Tests: backup-and-restore-ext4.sh, backup-and-restore-xfs.sh
Depends: fsarchiver,
         e2fsprogs,
         xfsprogs,
         uuid-runtime,
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: backup-and-restore-directory.sh
Depends: fsarchiver,
         acl,
         xattr,
         file,
Restrictions: needs-root, allow-stderr

## fsarchiver 0.8.7

=== debian/changelog ===
fsarchiver (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7
    - Fixes compatibility with e2fsprogs >= 1.47. (Closes: #1033117)
  * Update debian/watch.
    Use the GitHub API when checking for new upstream releases.
  * Bump Standards-Version to 4.6.2
  * Update obsolete Build-Depends e2fslibs-dev => libext2fs-dev

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Mar 2023 20:34:29 +0200

fsarchiver (0.8.6-2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Update XFS test to use a 500MB filesystem as mkfs.xfs now imposes a 300MB
    minimum size since 6.0.0

  [ Michael Biebl ]
  * Bump Standards-Version to 4.6.1

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2022 11:05:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                liblz4-dev,
                libzstd-dev,
                libgcrypt20-dev,
-               e2fslibs-dev,
+               libext2fs-dev,
                uuid-dev,
                libblkid-dev,
                libattr1-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fsarchiver.git
 Vcs-Browser: https://salsa.debian.org/debian/fsarchiver

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/fdupoux/@PACKAGE@/releases \
  https://github.com/fdupoux/@PACKAGE@/releases/download/(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## fsarchiver 0.8.8

=== debian/changelog ===
fsarchiver (0.8.8-2) unstable; urgency=medium

  * Remove reiser4progs Suggests.
    The reiser4progs package has been removed due to being unmaintained and
    dead upstream. (Closes: #1119004)
  * Bump Standards-Version to 4.7.2
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Sun, 26 Oct 2025 16:41:20 +0100

fsarchiver (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8
  * Drop patches, merged upstream
  * autopkgtest: Refactor backup-and-restore file system tests.
    Pull out common code which is shared between ext4 and XFS.
  * autopkgtest: Drop .sh suffix from tests
  * autopkgtest: Use the kernel provided RNG to generate a UUID.
    This allows us to drop the uuid-runtime dependency but requires /proc to
    be mounted.
  * autopkgtest: Use more suitable temporary mount point.
    Using /mnt as temporary mount point is prone to clash with an existing
    configuration. So use one in /tmp (created by mktemp) instead.
  * autopkgtest: Add test for btrfs.
    It currently fails, so mark it as flaky.
  * autopkgtest: Print debug output when the restore fails.
    Include an excerpt of the recent kernel log as well as it might contain
    useful information.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Dec 2024 13:13:29 +0100

fsarchiver (0.8.7-2) unstable; urgency=medium

  * Use "patch-numbers=False" for gbp-pq
  * Provide compatibility with e2fsprogs >= 1.47.2.
    The "-r" option has been replaced in mke2fs in favor of "-E revision=".
    Thanks to Theodore Ts'o. (Closes: #1088960)
  * Change Build-Depends: pkg-config => pkgconf
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Dec 2024 17:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                uuid-dev,
                libblkid-dev,
                libattr1-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fsarchiver.git
 Vcs-Browser: https://salsa.debian.org/debian/fsarchiver
@@ -28,7 +28,6 @@
 Recommends: e2fsprogs
 Suggests: xfsprogs,
           reiserfsprogs,
-          reiser4progs,
           jfsutils,
           ntfsprogs,
           ntfs-3g,

=== debian/tests/control ===
Tests: backup-and-restore-ext4, backup-and-restore-xfs
Depends: fsarchiver,
         e2fsprogs,
         xfsprogs,
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: backup-and-restore-btrfs
Depends: fsarchiver,
         btrfs-progs,
Restrictions: needs-root, allow-stderr, isolation-machine, flaky

Tests: backup-and-restore-directory
Depends: fsarchiver,
         acl,
         xattr,
         file,
Restrictions: needs-root, allow-stderr

## fsarchiver 0.8.9

=== debian/changelog ===
fsarchiver (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9
  * Drop patches, merged upstream
  * Bump Standards-Version to 4.7.3
  * Drop redundant Priority and Rules-Requires-Root field

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Feb 2026 18:21:50 +0100

fsarchiver (0.8.8-3) unstable; urgency=medium

  * Support for xfs features up to linux 6.18.
    Patch cherry-picked from upstream Git. (Closes: #1126428)

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Feb 2026 14:25:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fsarchiver
 Section: admin
-Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
@@ -15,8 +14,7 @@
                libblkid-dev,
                libattr1-dev,
                pkgconf
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/fsarchiver.git
 Vcs-Browser: https://salsa.debian.org/debian/fsarchiver
 Homepage: https://www.fsarchiver.org/
